com.genesyslab.wfm7.API.service.config761

## Class CfgActivitySet

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgActivitySet

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgActivitySet
      extends java.lang.Object
      implements java.io.Serializable

  Activity Set information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `timestamp` Timestamp value
    `private int[]` | `wmActivities` Array of Activity IDs (`CfgActivity`) that Activity Set consists of
    `private int` | `wmActivitiesNSizeIs` Number of elemenst in wmActivities array
    `private int` | `wmActivitySetId` Activity Set ID
    `private int` | `wmColor` Schedule state RGB color value.
    `private int` | `wmFontColor` Schedule state font RGB color value.
    `private int` | `wmMaxDuration` Maximum Duration
    `private int` | `wmMinDuration` Minimum Duration
    `private java.lang.String` | `wmName` Activity Set Name
    `private java.lang.String` | `wmShortName` Activity Set Short Name
    `private int` | `wmSiteId` Site ID, identifies `CfgSite` object
    `private boolean` | `wmStrict` Is Strict? (true/false)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgActivitySet()`
    `CfgActivitySet(int wmActivitySetId, int wmSiteId, java.lang.String wmName, java.lang.String wmShortName, int wmMinDuration, int wmMaxDuration, boolean wmStrict, int wmColor, int wmFontColor, int wmActivitiesNSizeIs, int[] wmActivities, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimestamp()` Gets the timestamp value for this CfgActivitySet.
    `int[]` | `getWmActivities()` Gets the wmActivities value for this CfgActivitySet.
    `int` | `getWmActivitiesNSizeIs()` Gets the wmActivitiesNSizeIs value for this CfgActivitySet.
    `int` | `getWmActivitySetId()` Gets the wmActivitySetId value for this CfgActivitySet.
    `int` | `getWmColor()` Gets the wmColor value for this CfgActivitySet.
    `int` | `getWmFontColor()` Gets the wmFontColor value for this CfgActivitySet.
    `int` | `getWmMaxDuration()` Gets the wmMaxDuration value for this CfgActivitySet.
    `int` | `getWmMinDuration()` Gets the wmMinDuration value for this CfgActivitySet.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgActivitySet.
    `java.lang.String` | `getWmShortName()` Gets the wmShortName value for this CfgActivitySet.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgActivitySet.
    `boolean` | `isWmStrict()` Gets the wmStrict value for this CfgActivitySet.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgActivitySet.
    `void` | `setWmActivities(int[] wmActivities)` Sets the wmActivities value for this CfgActivitySet.
    `void` | `setWmActivitiesNSizeIs(int wmActivitiesNSizeIs)` Sets the wmActivitiesNSizeIs value for this CfgActivitySet.
    `void` | `setWmActivitySetId(int wmActivitySetId)` Sets the wmActivitySetId value for this CfgActivitySet.
    `void` | `setWmColor(int wmColor)` Sets the wmColor value for this CfgActivitySet.
    `void` | `setWmFontColor(int wmFontColor)` Sets the wmFontColor value for this CfgActivitySet.
    `void` | `setWmMaxDuration(int wmMaxDuration)` Sets the wmMaxDuration value for this CfgActivitySet.
    `void` | `setWmMinDuration(int wmMinDuration)` Sets the wmMinDuration value for this CfgActivitySet.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgActivitySet.
    `void` | `setWmShortName(java.lang.String wmShortName)` Sets the wmShortName value for this CfgActivitySet.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgActivitySet.
    `void` | `setWmStrict(boolean wmStrict)` Sets the wmStrict value for this CfgActivitySet.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmActivitySetId

          private int wmActivitySetId

      Activity Set ID

    - #### wmSiteId

          private int wmSiteId

      Site ID, identifies `CfgSite` object

    - #### wmName

          private java.lang.String wmName

      Activity Set Name

    - #### wmShortName

          private java.lang.String wmShortName

      Activity Set Short Name

    - #### wmColor

          private int wmColor

      Schedule state RGB color value. Value -1 stands for NULL.

    - #### wmFontColor

          private int wmFontColor

      Schedule state font RGB color value. Value -1 stands for NULL.

    - #### wmMinDuration

          private int wmMinDuration

      Minimum Duration

    - #### wmMaxDuration

          private int wmMaxDuration

      Maximum Duration

    - #### wmStrict

          private boolean wmStrict

      Is Strict? (true/false)

    - #### wmActivitiesNSizeIs

          private int wmActivitiesNSizeIs

      Number of elemenst in wmActivities array

    - #### wmActivities

          private int[] wmActivities

      Array of Activity IDs (`CfgActivity`) that Activity Set consists of

    - #### timestamp

          private long timestamp

      Timestamp value

  - ### Constructor Detail

    - #### CfgActivitySet

          public CfgActivitySet()

    - #### CfgActivitySet

          public CfgActivitySet(int wmActivitySetId,
                        int wmSiteId,
                        java.lang.String wmName,
                        java.lang.String wmShortName,
                        int wmMinDuration,
                        int wmMaxDuration,
                        boolean wmStrict,
                        int wmColor,
                        int wmFontColor,
                        int wmActivitiesNSizeIs,
                        int[] wmActivities,
                        long timestamp)

  - ### Method Detail

    - #### getWmActivitySetId

          public int getWmActivitySetId()

      Gets the wmActivitySetId value for this CfgActivitySet.
      Returns:
        wmActivitySetId

    - #### setWmActivitySetId

          public void setWmActivitySetId(int wmActivitySetId)

      Sets the wmActivitySetId value for this CfgActivitySet.
      Parameters:
        `wmActivitySetId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgActivitySet.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgActivitySet.
      Parameters:
        `wmSiteId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgActivitySet.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgActivitySet.
      Parameters:
        `wmName` -

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the wmShortName value for this CfgActivitySet.
      Returns:
        wmShortName

    - #### setWmShortName

          public void setWmShortName(java.lang.String wmShortName)

      Sets the wmShortName value for this CfgActivitySet.
      Parameters:
        `wmShortName` -

    - #### getWmMinDuration

          public int getWmMinDuration()

      Gets the wmMinDuration value for this CfgActivitySet.
      Returns:
        wmMinDuration

    - #### setWmMinDuration

          public void setWmMinDuration(int wmMinDuration)

      Sets the wmMinDuration value for this CfgActivitySet.
      Parameters:
        `wmMinDuration` -

    - #### getWmMaxDuration

          public int getWmMaxDuration()

      Gets the wmMaxDuration value for this CfgActivitySet.
      Returns:
        wmMaxDuration

    - #### setWmMaxDuration

          public void setWmMaxDuration(int wmMaxDuration)

      Sets the wmMaxDuration value for this CfgActivitySet.
      Parameters:
        `wmMaxDuration` -

    - #### isWmStrict

          public boolean isWmStrict()

      Gets the wmStrict value for this CfgActivitySet.
      Returns:
        wmStrict

    - #### setWmStrict

          public void setWmStrict(boolean wmStrict)

      Sets the wmStrict value for this CfgActivitySet.
      Parameters:
        `wmStrict` -

    - #### getWmActivitiesNSizeIs

          public int getWmActivitiesNSizeIs()

      Gets the wmActivitiesNSizeIs value for this CfgActivitySet.
      Returns:
        wmActivitiesNSizeIs

    - #### setWmActivitiesNSizeIs

          public void setWmActivitiesNSizeIs(int wmActivitiesNSizeIs)

      Sets the wmActivitiesNSizeIs value for this CfgActivitySet.
      Parameters:
        `wmActivitiesNSizeIs` -

    - #### getWmActivities

          public int[] getWmActivities()

      Gets the wmActivities value for this CfgActivitySet.
      Returns:
        wmActivities

    - #### setWmActivities

          public void setWmActivities(int[] wmActivities)

      Sets the wmActivities value for this CfgActivitySet.
      Parameters:
        `wmActivities` -

    - #### getWmColor

          public int getWmColor()

      Gets the wmColor value for this CfgActivitySet.
      Returns:
        wmColor

    - #### setWmColor

          public void setWmColor(int wmColor)

      Sets the wmColor value for this CfgActivitySet.
      Parameters:
        `wmColor` -

    - #### getWmFontColor

          public int getWmFontColor()

      Gets the wmFontColor value for this CfgActivitySet.
      Returns:
        wmFontColor

    - #### setWmFontColor

          public void setWmFontColor(int wmFontColor)

      Sets the wmFontColor value for this CfgActivitySet.
      Parameters:
        `wmFontColor` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgActivitySet.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgActivitySet.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.